<template>
    <custom-text-field :md="6" :width="50" :items="items"/>

    <v-row>
        <v-col cols="12" md="12" justify="end" class="text-right">
            <custom-button style="width: 120px;margin-left: 10px" color="info" size="medium" val="Depo"
                           @click="repository"/>
            <custom-button style="width: 120px;margin-left: 10px" color="danger" size="medium" @click="clearFilterForm"
                           val="Temizle"/>
            <custom-button style="width: 120px;margin-left: 10px" color="primary" size="medium" @click="filter"
                           val="Filtrele"/>
        </v-col>
    </v-row>

</template>
<script>
import CustomTextField from '@/components/custom-controller/CustomTextField.vue';
import CustomButton from "@/components/custom-controller/CustomButton.vue";

export default {
    name: "UserFilter",
    components: {
        CustomButton,
        CustomTextField
    },
    data: () => {
        return {

            items: [
                {
                    value: "",
                    type: "text",
                    counter: 10,
                    label: "Adı",
                    placeholder: "Adı",
                    required: false
                },
                {
                    value: "",
                    type: "text",
                    counter: 10,
                    label: "Soyadı",
                    placeholder: "Adı",
                    required: true
                },
                {
                    value: "",
                    type: "phone",
                    label: "",
                    placeholder: "Telefon",
                    required: true
                },
                {
                    value: "",
                    type: "email",
                    label: "",
                    placeholder: "Mail",
                    required: false
                },
                {
                    value: "",
                    type: "number",
                    counter: 11,
                    label: "",
                    placeholder: "Tc",
                    required: false
                },
                {
                    value: "",
                    type: "password",
                    label: "",
                    placeholder: "Şifre",
                    required: false
                },

            ],
        };
    }
}
</script>
<style scoped>
@import "@/assets/styles/custom/custom-input.css";

</style>